Update payment
curl --request PUT \
--url https://us.api.flexprice.io/v1/payments/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"error_message": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"gateway_payment_id": "<string>",
"metadata": {},
"payment_gateway": "<string>",
"payment_method_id": "<string>",
"payment_status": "<string>",
"refunded_at": "2023-11-07T05:31:56Z",
"succeeded_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://us.api.flexprice.io/v1/payments/{id}"
payload = {
"error_message": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"gateway_payment_id": "<string>",
"metadata": {},
"payment_gateway": "<string>",
"payment_method_id": "<string>",
"payment_status": "<string>",
"refunded_at": "2023-11-07T05:31:56Z",
"succeeded_at": "2023-11-07T05:31:56Z",
"voided_at": "2023-11-07T05:31:56Z"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
error_message: '<string>',
failed_at: '2023-11-07T05:31:56Z',
gateway_payment_id: '<string>',
metadata: {},
payment_gateway: '<string>',
payment_method_id: '<string>',
payment_status: '<string>',
refunded_at: '2023-11-07T05:31:56Z',
succeeded_at: '2023-11-07T05:31:56Z',
voided_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://us.api.flexprice.io/v1/payments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "<string>",
"attempts": [
{
"attempt_number": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"error_message": "<string>",
"id": "<string>",
"metadata": {},
"payment_id": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}
],
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"currency": "<string>",
"destination_id": "<string>",
"error_message": "<string>",
"failed_at": "2023-11-07T05:31:56Z",
"gateway_metadata": {},
"gateway_payment_id": "<string>",
"gateway_tracking_id": "<string>",
"id": "<string>",
"idempotency_key": "<string>",
"invoice_number": "<string>",
"metadata": {},
"payment_gateway": "<string>",
"payment_method_id": "<string>",
"payment_url": "<string>",
"refunded_at": "2023-11-07T05:31:56Z",
"save_card_and_make_default": true,
"succeeded_at": "2023-11-07T05:31:56Z",
"tenant_id": "<string>",
"track_attempts": true,
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>",
"voided_at": "2023-11-07T05:31:56Z"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}Payments
Update payment
Use when updating payment status or metadata (e.g. after reconciliation or adding a reference).
PUT
/
payments
/
{id}
Update payment
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Payment ID
Body
application/json
Payment configuration
Response
Updated payment
Show child attributes
Show child attributes
Available options:
INVOICE, CUSTOMER Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
CARD, ACH, OFFLINE, CREDITS, PAYMENT_LINK, UPI Available options:
INITIATED, PENDING, PROCESSING, SUCCEEDED, OVERPAID, FAILED, REFUNDED, PARTIALLY_REFUNDED, VOIDED ⌘I

